Add VyOS IPv6 OSPFv3 routing configuration to Wiki
Closed, ResolvedPublic

Description

It took me 3-4 hours to figure out how to do this, maybe this would help someone else in the future.

Attached is a minimum example of two routers with a configuration for IPv6 OSPFv3.

Please add this the VyOS Wiki in the OSPF section with the same structure as the BGP routing text.

  • Thanks
    • David

Node 1:

protocols {

ospfv3 {
    area 0.0.0.0 {
        interface eth1
        range 2001:db8:1::/64 {
        }
    }
    parameters {
        router-id 192.168.1.1
    }
    redistribute {
        connected {
        }
    }
}

}

Node 2:

protocols {

ospfv3 {
    area 0.0.0.0 {
        interface eth1
        range 2001:db8:2::/64 {
        }
    }
    parameters {
        router-id 192.168.2.1
    }
    redistribute {
        connected {
        }
    }
}

}

Details

Difficulty level
Easy (less than an hour)
Why the issue appeared?
Will be filled on close
dsummers created this task.Jan 14 2017, 8:02 PM
dmbaturin reassigned this task from dmbaturin to dsummers.Jan 30 2017, 11:50 PM
dmbaturin added a subscriber: dmbaturin.

What prevents you from adding it yourself by the way? The registration on wiki is open.

Oh, OK, great! I didn't know that.

I'll do that here in a bit.

  • Thanks
dsummers closed this task as Resolved.Feb 3 2017, 1:05 AM

Added information to WIKI.